#!/usr/bin/env bash
export ALLOW_RUNAS_ROOT=${ALLOW_RUNAS_ROOT=0}

# don't allow root to run this
if [[ $ALLOW_RUNAS_ROOT -eq 0 ]] && [[ $EUID -eq 0 ]]; then
    echo "$0 must not be run as root" 1>&2
    exit 1
fi
